# This file created by conda-build 3.18.11
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/pyinstaller-3.6-python_3.6-on-linux_canary, last modified Mon Feb  3 19:13:49 2020
# ------------------------------------------------

package:
    name: pyinstaller
    version: '3.6'
source:
    fn: PyInstaller-3.6.tar.bz2
    patches:
        - 0001-depend-bindepend-find-statically-linked-libraries.patch
    sha256: 3730fa80d088f8bb7084d32480eb87cbb4ddb64123363763cf8f2a1378c1c4b7
    url: https://pypi.io/packages/source/P/PyInstaller/PyInstaller-3.6.tar.gz
build:
    entry_points:
        - pyi-archive_viewer = PyInstaller.utils.cliutils.archive_viewer:run
        - pyi-bindepend = PyInstaller.utils.cliutils.bindepend:run
        - pyi-grab_version = PyInstaller.utils.cliutils.grab_version:run
        - pyi-makespec = PyInstaller.utils.cliutils.makespec:run
        - pyi-set_version = PyInstaller.utils.cliutils.set_version:run
        - pyinstaller = PyInstaller.__main__:run
    number: '1'
    preserve_egg_dir: true
    script:
        - export LDFLAGS="${LDFLAGS} -L${PREFIX}/lib"
        - pushd bootloader
        - waf --prefix="${PREFIX}" --gcc --no-lsb distclean all
        - popd
        - /tmp/build/80754af9/pyinstaller_1580758673679/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pl/bin/python
            -m pip install . --no-deps -vv
    string: py36hbc83047_1
requirements:
    build:
        - _libgcc_mutex 0.1 main
        - binutils_impl_linux-64 2.33.1 he6710b0_7
        - binutils_linux-64 2.33.1 h9595d00_15
        - ca-certificates 2020.1.1 0
        - certifi 2019.11.28 py36_0
        - gcc_impl_linux-64 7.3.0 habb00fd_1
        - gcc_linux-64 7.3.0 h553295d_15
        - ld_impl_linux-64 2.33.1 h53a641e_7
        - libedit 3.1.20181209 hc058e9b_0
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - ncurses 6.1 he6710b0_1
        - openssl 1.1.1d h7b6447c_3
        - pip 20.0.2 py36_1
        - python 3.6.10 h0371630_0
        - readline 7.0 h7b6447c_5
        - setuptools 44.0.0 py36_0
        - sqlite 3.30.1 h7b6447c_0
        - tk 8.6.8 hbc83047_0
        - wheel 0.34.1 py36_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 h7b6447c_3
    host:
        - _libgcc_mutex 0.1 main
        - ca-certificates 2020.1.1 0
        - certifi 2019.11.28 py36_0
        - ld_impl_linux-64 2.33.1 h53a641e_7
        - libedit 3.1.20181209 hc058e9b_0
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - ncurses 6.1 he6710b0_1
        - openssl 1.1.1d h7b6447c_3
        - pip 20.0.2 py36_1
        - python 3.6.10 h0371630_0
        - readline 7.0 h7b6447c_5
        - setuptools 44.0.0 py36_0
        - sqlite 3.30.1 h7b6447c_0
        - tk 8.6.8 hbc83047_0
        - waf 2.0.18 py36h7b6447c_0
        - wheel 0.34.1 py36_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 h7b6447c_3
    run:
        - altgraph
        - libgcc-ng >=7.3.0
        - macholib >=1.8
        - pycryptodome
        - python >=3.6,<3.7.0a0
        - zlib >=1.2.11,<1.3.0a0
    run_constrained:
        - setuptools  <45.0
test:
    commands:
        - pyinstaller --help
        - pyi-archive_viewer --help
        - pyi-bindepend --help
        - pyi-makespec --help
    files:
        - hello.py
    imports:
        - PyInstaller
about:
    home: http://www.pyinstaller.org
    license: GPL 2
    license_file: COPYING.txt
    summary: PyInstaller bundles a Python application and all its dependencies into
        a single package.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - hadim
        - jakirkham
        - nicoddemus
